%global pkg_name flask-gravatar
%global mod_name Flask-Gravatar
%global desc Small extension for Flask to make usage of the Gravatar service.

Name:           python-%{pkg_name}
Version:        0.5.0
Release:        %mkrel 4
Summary:        Small extension for Flask to make usage of Gravatar service
License:        BSD-3-Clause
Group:          Development/Python
Url:            https://github.com/zzzsochi/Flask-Gravatar/
Source:         https://files.pythonhosted.org/packages/source/F/Flask-Gravatar/Flask-Gravatar-%{version}.tar.gz
Patch0:         fix-requirements.patch
BuildRequires:  python3-setuptools
BuildRequires:  python-rpm-macros
# Test requirements
BuildRequires:  python3-flask >= 0.10
BuildRequires:  python3-pygments
BuildRequires:  python3-check-manifest >= 0.25
BuildRequires:  python3-coverage >= 4.0
BuildRequires:  python3-isort >= 4.2.2
BuildRequires:  python3-pydocstyle >= 1.0.0
BuildRequires:  python3-pytest >= 2.8.0
BuildRequires:  python3-pytest-runner >= 2.6.2
BuildRequires:  python3dist(pluggy)
BuildRequires:  python3dist(py)
BuildRequires:  python3dist(pytest-pep8)
BuildRequires:  python3dist(pytest-flakes)
BuildRequires:  python3dist(pytest-cov)
BuildRequires:  python3dist(pytest-translations)

# End of test requirements
BuildArch:      noarch

%description
%{desc}

%package -n python%{python3_pkgversion}-%{pkg_name}
Summary:        Small extension for Flask to make usage of Gravatar service

%description -n python%{python3_pkgversion}-%{pkg_name}
%{desc}

%prep
%setup -q -n Flask-Gravatar-%{version}
%patch0 -p1

%build
%py3_build

%install
%py3_install

#%check
#export LC_CTYPE=en_US@UTF-8
#python3 setup.py test

%files -n python%{python3_pkgversion}-%{pkg_name}
%doc AUTHORS CHANGES.rst README.rst
%license LICENSE
%{python3_sitelib}/*


%changelog
* Thu Oct 22 2020 joequant <joequant> 0.5.0-4.mga8
+ Revision: 1637928
- disable tests

* Fri Jul 24 2020 ovitters <ovitters> 0.5.0-3.mga8
+ Revision: 1608642
- get rid of pythonegg

* Thu Jul 23 2020 ovitters <ovitters> 0.5.0-2.mga8
+ Revision: 1608272
- rebuild for removing pythonegg buildrequires in srpm

* Sun Jun 28 2020 joequant <joequant> 0.5.0-1.mga8
+ Revision: 1599770
- add pytest
- imported package python-flask-gravatar

